Subject: Re: How I solved my 'dired' problem...

From: [email-masked] (Steve Allen)
Date: Fri, 12 Jan 1996 13:24:25 -0500

Robert P. Goldman wrote:
> 
> I'm not sure I fully understand your patch, but I believe that it
> won't work properly for those of us who work with a mix of NTFS and
> NFS-mounted Unix file systems.  I don't myself know if there's some
> way to look at a directory and find out whether it's appropriate to
> treat it as case-sensitive or not...
> R

All I changed was two lines in the lisp emulated 'ls' command (ls-lisp.el).
in the "ls-lisp-handle-switches" function

from: 
                         (string-lessp (car x)
                                       (car y)))))))))
to:
                         (string-lessp (downcase (car x))
                                       (downcase (car y))))))))))

Perhaps a better fix would be something like this modification to 
ls-lisp-handle-switches in ls-lisp.el:

                         (string-lessp (downcase-if-nt (car x))
                                       (downcase-if-nt (car y))))))))))

(defvar dired-force-case-sensitive nil)

(defun downcase-if-nt (str)
  (if (or (string-match "x86.*nt" (version)) dired-force-case-sensitive)
      (downcase str)
    str))

I don't have a mixed environment to test it in, so your results may vary.
As usual, you get what you pay for . . .
-- 
Steve Allen
Clay Hill Engineering (Founder/ASIC Design Consultant)
http://www.ultranet.com/~allen (My Pgp Public key available here)